be.fgov.ehealth.dics.core.v4.compounding.common

## Class CompoundingIngredientKeyType

- java.lang.Object
- - be.fgov.ehealth.dics.core.v4.compounding.common.CompoundingIngredientKeyType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ConsultCompoundingIngredientType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-04-08T03:28:28+02:00",
                 comments="JAXB RI v2.3.7")
      public class CompoundingIngredientKeyType
      extends Object
      implements Serializable

  Java class for CompoundingIngredientKeyType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CompoundingIngredientKeyType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="Code" use="required" type="{urn:be:fgov:ehealth:dics:core:v4:core}DmppCodeType" />
             <attribute name="CodeType" type="{urn:be:fgov:ehealth:dics:core:v4:core}DmppCodeTypeType" default="CNK" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompoundingIngredientKeyType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()` Gets the value of the code property.
    `String` | `getCodeType()` Gets the value of the codeType property.
    `void` | `setCode(String value)` Sets the value of the code property.
    `void` | `setCodeType(String value)` Sets the value of the codeType property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompoundingIngredientKeyType

          public CompoundingIngredientKeyType()

  - ### Method Detail

    - #### getCode

          public String getCode()

      Gets the value of the code property.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodeType

          public String getCodeType()

      Gets the value of the codeType property.
      Returns:
        possible object is `String`

    - #### setCodeType

          public void setCodeType(String value)

      Sets the value of the codeType property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPODOLOGIST 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.